aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcommon/scripts/application-lifecycle.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/common/scripts/application-lifecycle.sh b/common/scripts/application-lifecycle.sh
index 64afdb6..551e5b6 100755
--- a/common/scripts/application-lifecycle.sh
+++ b/common/scripts/application-lifecycle.sh
@@ -30,8 +30,10 @@ fi
do_afm_util()
{
if [ $SERVICE_USER -eq 1 -o $APPLICATION_USER -eq 1 ];then
+ echo "DEBUG: do_afm_util as $AGLDRIVER"
su - $AGLDRIVER -c "afm-util $*"
else
+ echo "DEBUG: do_afm_util as $(whoami)"
afm-util $*
fi
return $?
@@ -71,9 +73,11 @@ do
echo "DEBUG: not hidden package"
fi
# a service sets urn:AGL:widget:provided-api
- if $(grep "urn:AGL:widget:provided-api" config.xml) ; then
+ grep "urn:AGL:widget:provided-api" config.xml
+ if [ $? -eq 0 ] ; then
# we are a service, now determine the scope ...
- if $(grep "urn:AGL:permission::partner:scope-platform" config.xml) ; then
+ grep "urn:AGL:permission::partner:scope-platform" config.xml
+ if [ $? -eq 0 ];then
SERVICE_PLATFORM=1
else
SERVICE_USER=1